# CraftPresence

## [v1.5.8.2](https://github.com/CDAGaming/CraftPresence-Wow-Edition/tree/v1.5.8.2) (2021-06-07)
[Full Changelog](https://github.com/CDAGaming/CraftPresence-Wow-Edition/compare/v1.5.8...v1.5.8.2) [Previous Releases](https://github.com/CDAGaming/CraftPresence-Wow-Edition/releases)

- [Backend] Document default param for `ConcatTable:splitTag`  
    - Previously was undocumented.  
- [Backend] Logging edits and Minor optimizations  
    - Replaced all error logging with `PrintErrorMessage` to reduce unneeded complexity.  
    - In `PaintSomething`, store the `text\_length` as it's own variable to prevent repeated `GetLength` calls. The documentation for this function has also been edited to have better casing.  
    - `PrintErrorMessage` will no longer log a nil `logStyle` (Whereas before it logged as `Unknown`, it now will not log at all if you don't supply a `logStyle` param.  
